A **Zen Browser** egy nyílt forráskódú webböngésző, amely a Firefox alapjaira épül, ami a minimalista, felhasználóbarát kialakításával tűnik ki. A böngésző a termelékenység és az adatvédelem jegyében készült, számos innovatív funkcióval, amelyek egyszerűsítik a böngészési folyamatot.
#### Főbb Jellemzők
* **Oldalsávos lapkezelés**: Az új lapok nem a megszokott felső sávban, hanem egy oldalsávban jelennek meg, amely letisztultabb megjelenést biztosít.
* **Osztott képernyős nézet**: Lehetővé teszi, hogy több lapot egymás mellett nyissunk meg, ideális multitasking feladatokhoz.
* **Beépített oldalsáv alkalmazások**: Jegyzetelők, üzenetküldők vagy például a Wikipédia közvetlenül az oldalsávban futtathatók.
* **Testreszabhatóság**: A Firefox bővítményeit támogatja, emellett saját témabolttal rendelkezik a megjelenés további személyre szabásához.
* **Adatvédelem középpontban**: Az alapértelmezett nyomkövetés-védelem és az adatvédelmi funkciók garantálják a biztonságos böngészést.
* **Gyorsaság és egyszerűség**: A böngésző célja, hogy minimalizálja a zavaró tényezőket, és gyorsabb élményt nyújtson.

#### Előnyök és hátrányok
**Előnyök**
* Letisztult, zavaró elemektől mentes felület.
* Hatékony multitasking eszközök, például az osztott nézet.
* Széles körű testreszabhatóság és Firefox bővítmények támogatása.
* Nyílt forráskódú fejlesztés, amely elősegíti a közösségi hozzájárulásokat.

**Hátrányok**
* Jelenleg nincs mobil vagy tablet verzió.
* A fejlesztés korai szakaszában van, ezért előfordulhatnak hibák, lassulások stb.

### Testreszabhatóság
A böngésző a FireFox alapjaira épül, ezért azok bővítményeit is támogatja. Létezik azonban saját [Mods](https://zen-browser.app/mods) oldala, ahol kifejezetten a Zen-hez készülő bővítmények találhatók. A Mods oldalán a bővítmények mellett, különböző felületeket is találni, amik közül néhányat telepítés után, testre is lehet szabni. 
A böngésző oldalán található egy "[Készítsd el a sablonod](https://zen-browser.app/create-theme)" lap, ahol magunknak állíthatjuk össze, hogy milyen színekben jelenljen meg a felületünk.
![](https://beta.appflowy.cloud/api/file_storage/e6221a89-cf41-49b1-bd45-8156dd21c30f/v1/blob/f0ca795f%2Dd5f2%2D4adc%2Dbffb%2Df5bb78b6e171/XWhMgkhb1T6hth_7mpARqUpK02gv7dmbKU3V-Vw5V_o=.jpg)

#### Elérhetőség
A Zen Browser elérhető Linux, Windows és macOS rendszerekre. Letölthető az [hivatalos weboldaláról](https://zen-browser.app) vagy Linuxon a Flathub segítségével. Nyílt forráskódja a GitHubon található, így a fejlesztés iránt érdeklődők is hozzájárulhatnak.

#### Összegzés
A Zen Browser egyedi megközelítéssel friss színt hoz a böngészők világába. Bár még nem érhet fel olyan nagy nevekkel, mint a Brave vagy a Vivaldi, letisztult megjelenése és produktivitásközpontú funkciói miatt ideális választás lehet azoknak, akik egyszerűbb és jobban személyre szabható alternatívát keresnek, adatvédelmi központú szemlélet mellett.

